html {
    scroll-behavior: smooth;
}
body{
	margin: 0;
    padding: 0%;
    height: 100%;
    width: 100%;

    color: #e8eaed;

    font-family: Verdana, Geneva, Tahoma, sans-serif;

    /* background-color: rgb(90, 1, 233) !important; */

    /* TESTS from w3schools */
    height: fit-content; /* Used to enable scrolling */
    background-image: linear-gradient(180deg, rgb(90, 1, 233) 0%, rgb(69, 1, 179) 51%, rgb(51, 4, 127) 85%) !important;


    /* PERSONA 3 RELOAD: 
    NEWER & COOLER: some blue variant */
    /* background-image: linear-gradient(rgb(90, 1, 233), rgb(69, 1, 179) ) !important;  */

    /* Persona 4 Golden: #faa622 [better, less jarring on eyes | #ff0505 [a bit too bright] | #c4d70c [neutral] |  */
    /* background-color: orange !important; */
    /* background-color: #faa622 !important; */

    /* Persona 5: #c22303 [dark red]   */
    /* background-color: #c22303  !important; */


    transition: background-image 0.5s ease, background-color 0.5s ease;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    /* BLUES:                           // rgb(90, 1, 233) // 
    - Chrysler blue: #4802BE // #5302DA // #5A01E9        // #5102D4 
    - original: #16adf2
    */
}
body.image-background {
    background-image: url("Assets/images/night_20240502_192423.jpg"); /* Replace with your image URL */
    /* background-image: linear-gradient(rgb(78, 1, 201), rgb(59, 1, 152) ) !important; */
    /* background-image: linear-gradient(); */
    /* background-color: transparent;  */
    /* background-color: orange !important; */
  }

.mask-text{
    text-shadow: -2px 0 rgb(25, 25, 25), 0 2px rgb(25, 25, 25), 2px 0 rgb(25, 25, 25), 0 -2px rgb(25, 25, 25);
}

.navbar{
    background-color: white !important;
    box-shadow: 0px 2px 0px 2px rgba(0, 0, 0, 0.5);
    /* background-image: linear-gradient(rgb(255, 255, 255), rgb(90, 1, 233) ) !important;  */
}
.nav-item{
    color: #000000;
    padding-right: 0.5rem;
    /* box-shadow: 0px 0px 1px rgba(0, 0, 0, 0.5); */
    /* font-size: medium !important; */
}



.header_ h1{
    color: #000000;
    outline: #e8eaed 1px;

    position: absolute;
    color: #e8eaed;

    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-shadow: 2px 2px 4px black;
    /* This piece below helps text to become centered */
    /* TEST */
    /* transform: scale(1,1.1) translate(-50%, 10%); */
    transform: translateZ(-0.5px) scale(1.5,1.6) translate(-33%,10%);
    transition: transform 0.5s;

    top: 30%;
    left: 50%;
}
.header_ h1:hover{
    transform: translateZ(-0.5px) scale(1.6,1.7) translate(-33%,10%);
}



.header_{
    width: 100%; 
	padding: 0px;
    margin: auto;
	overflow: hidden;

    text-align: center;

    overflow-y: auto;
    overflow-y: scroll;
    overflow-y: hidden;
    overflow-x: hidden;
    /* HIDDEN FOR BOTH WORKS BEST HERE */

    perspective: 1px;
    transform-style: preserve-3d;
    position: relative;

    height: 30vh;
}

.header_ img{
    width: 100%;
    /* width: 80%; */
    
    /* height: 50vh; */
    /* height: 50%; */

    /* min-height: 100vh; */
    /* position: absolute; */
    /* Gives correct aspect ratio [object-fit] */
    object-fit: cover;
    /* object-fit:contain; */
    /* object-fit: fill; */


    /* z-index: 1; */
    z-index: -1;
    transform-style: preserve-3d;
    /* background-size: cover; */

    /* margin-bottom: -2em; */
}

.bg{
    transform: translateZ(-1px) scale(1.1);
    filter: blur(5px);
}

/* CONTAINER */
#heroCont{
    align-items: center;
    text-align: center;
}
/* SECTION */
.hero{
    padding-top: 2%;
    display: inline-block;

    display: flex;
    align-items: center;
    justify-content: center;
}

.hero img{
    transform: scale(1.0,1.0); 
    /* transition: transform 0.3s; */

    transition: all 0.6s;

    /*!! animation !!*/
    /* animation-name: slideInRight;
    animation-duration: 1s;
    animation-timing-function: ease-in-out; */

    /* animation: slideInRight 1s ease-in-out; */

    /* only play animation, when element is on screen */
    /* animation-timeline: view(); */
    /* animation-range: 0; */
}
.hero img:hover{
    transform: scale(1.05, 1.05); 
    transform: translateX(-7px);

    /* box-shadow: -200px 0px 1px rgba(0, 0, 0, 1.0); */
}

.character{
    position: relative;
    animation: slideInRight 1s ease-in-out;
    z-index: -1; /* 2 */
    /* A NEGATIVE z-index means not clickable!! */
    width: 20%;

    /*!!!  newwer, bigger render !!!*/
    /* overflow: hidden; */
    width: 300px;
    height: 200px;
}

.characterIMG{
    max-height: 80vh;
    max-width: 100%;

    /*!!!! newer !!!!*/
    z-index: -1;

    width: 600px;
    height: 400px;

    margin: -100px 0 0 -100px;
    /* margin: y-axis ? ? scale */
    /* margin: -150px 0 0 -100px; */
}


h2{
    font-weight: bold !important;
    color: #e8eaed !important;
    text-shadow: -1px 0 black, 0 3px black, 1px 0 black, 0 -1px black;
}

.hero.h1.h2{
    color: #e8eaed;

    font-size: 100px;
    font-size: 10vh;

    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-shadow: -2px -2px 4px black;

    /* shadow to the left V */
    /* text-shadow: -6px -1px 4px black; */

    /* shadow to the right V */
    /* text-shadow: 10px 1px 4px black; */
    text-shadow: 10px -15px 10px black;
    /* text-shadow: 0px -10px -10px black; */

    /* padding-left: 20px; */

    text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;

    /* TRANSFOMRS */
    transform: scale(1.0,1.0); 
    transition: transform 0.3s;

    /*!! ANIMATION  !!*/
    animation: fadeIn 1s ease-in-out;
}

.hero.h1.h2:hover{
    text-shadow: 10px 15px 10px black;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;

    transform: scale(1.05,1.05); 
}

#nameChange{
    transform: scale(1.0,1.0) !important; 
    transition: color 0.3s;
}

/* NEW MENU ITEMS */
.menuOptions{
    z-index: 3;
    position: relative;
    margin-top: 20px;
}

.menuItem{
    display: block;
    font-size: 5rem;
    padding: 15px 0;

    text-decoration: none;
    color: white;
    text-transform: uppercase;
    letter-spacing: 2px;

    background-color: #e8eaed !important;
    border: 2px black solid !important;
    border-radius: 10px !important;

    transform: scale(1.0,1.0); 

    animation: slideInLeft 1s ease;

    /* Add border shadow */
    box-shadow: 10px 0px 1px rgba(0, 0, 0, 1.0);

    transition: all 0.3s ease-in-out;
    /* transition: all 0.6s ; */
}
.menuItem:hover{
    transform: scale(1.02,1.02); 

    color: #00BFFF; /* light blue color on hover */
    text-shadow: 0 0 10px #00BFFF;

    /* Add border shadow */
    /* box-shadow: -20px 0px 2px rgba(0, 0, 0, 1.0); */

    box-shadow: 150px 0px 2px rgba(0, 0, 0, 1.0);

    /* transition: all 0.3s ease; */
    transition: all 0.3s ease-in-out;
}

.img-thumbnail.projects, .project{
    /* background-color: #16adf2 !important; */
    border: #3b16f2  7px solid ;
    border-radius: 10px;

    /* Add border shadow */
    box-shadow: 0px 10px 5px rgba(0, 0, 0, 0.5);

    /* filter: grayscale(70%); */
    filter: brightness(90%);

    transform: scale(1.0,1.0); 
    transition: all 0.3s ease;
}
.img-thumbnail.projects:hover, .project:hover{
    border-radius: 15px;
    transform: scale(1.02,1.02); 

    filter: brightness(100%);
}

.img-responsive.clickable{
    transform: scale(1.0,1.0); 
    transition: all 0.3s ease;

     /* Add border shadow */
     box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.5);
}
.img-responsive.clickable:hover{
    transform: scale(1.05,1.05); 
     /* Add border shadow */
     box-shadow: 0px 10px 5px rgba(0, 0, 0, 0.5);
}


.row.games{
    border: #7155fa  7px solid ;
    border-radius: 3px;

    /* Add border shadow */
    /* box-shadow: 0px 0px 0px 5px rgba(0, 0, 0, 1); */
    /* box-shadow: 0px 0px 0px 2px rgba(0, 0, 0, 0.5); */
}


.YT-video-container{
    position: relative;
    padding-bottom: 56.25%; /* 16:9 Aspect Ratio */
    height: 0;
    overflow: hidden;
    /* max-width: 100%; */
    max-width: 560px;
    /* max-height: 315px; */

    margin: 0 auto; /* Center the video */
}
.YT-video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.cloudBlock{
    /* position: relative; */
    background-color: #FFFFFF !important;

    z-index: -1;
    border-radius: 50px !important;
    
    animation: floatSlow 4s ease;
    animation-iteration-count: infinite;
}
.cloudBlock-stationary{
    /* position: relative; */

    z-index: -1;
    border-radius: 70px !important;

    background-color: #FFFFFF !important;

    box-shadow: 10px 20px 2px 10px rgba(0, 0, 0, 0.5) !important;

    box-shadow: 0px 10px 5px 5px rgba(0, 0, 0, 0.5) !important;
}

footer{
    z-index: -1 !important;
    /* position: fixed; */
    left: 0;
    bottom: 0;
    /* background-image: linear-gradient(rgb(90, 1, 233), rgb(69, 1, 179) ) !important; */
    /* background-image: linear-gradient(rgb(49, 34, 74), rgb(69, 1, 179) ) !important; */
    /* background-color: #000000; */

    padding: 10px;
    
    /* originak */
    background-image: linear-gradient(rgb(69, 1, 179), rgb(47, 1, 122) ) !important;

    /* new: gradient bg scroll */
    
    background-image: linear-gradient(rgb(51, 4, 127), rgb(27, 0, 71) ) !important;
}


/*>> HERO PAGE PERSONA */
    .center-image {
        /* width: 250px; */
        cursor: pointer;
        width: 30vh;
        transform: translateX(0px);
        transform: scale(1.0);
        transition: all 0.3s ease;
    }
    /* .center-image:active{
        transform: translateX(10px);
        transition: all 0.1s;
    } */
    .center-image:hover{
        transform: scale(1.1);
        transition: all 0.3s ease;
    }
    

    /* Pop-out button styling */
    .pop-out-button {
        position: absolute;
        padding: 10px 20px; opacity: 0;
        transform: scale(0.1);
        /* transition: opacity 0.3s, transform 0.3s; */
    }

    /* Positioning for left and right buttons */
    .left-button {
        left: -150px;
        top: 50%;
        /* transform: translateY(-50%); */
        left: -8rem;
    }
    .right-button {
        right: -150px;
        top: 50%;
        /* transform: translateY(-50%); */
        right: -8rem;
    }

    /* .left-button:nth-child(2){
        top: 4%;
        left: -8rem;
    }
    .left-button:nth-child(3){
        top: 20%;
        left: -8rem;
    }
    .right-button:nth-child(2){
        top: 45%;
    } */

    /* Show button class to animate visibility */
    .pop-out-button.show {
        opacity: 1;
        transform: scale(1);
        /* transform: scale(1) translateY(-50%); */
        /* transition: opacity 0.3s, transform 0.4s ease; */
    }
    .pop-out-button.show.right-button {
        /* opacity: 1; */
        /* transform: translateX(30%)!important; */
        animation: slideFromCenterRight 0.5s ease forwards !important;
    }
    .pop-out-button.show.left-button {
        /* opacity: 1; */
        /* transform: translateX(-20%)!important; */
        animation: slideFromCenterLeft 0.5s ease forwards !important;
    }

    .pop-out-button.right-button{
        /* transform: translateX(-50%)!important; */
    }
    .pop-out-button.left-button{
        /* transform: translateX(50%)!important; */
    }

    .personaBTN{
        display: block;
        font-size: 5rem;
        padding: 15px 0;
    
        text-decoration: none;
        color: rgb(0, 0, 0) !important;
        text-transform: uppercase;
        letter-spacing: 2px;
    
        background-color: #e8eaed !important;
        border: 2px black solid !important;
        border-radius: 10px !important;
        /* Add border shadow */
        box-shadow: 10px 0px 1px rgba(0, 0, 0, 1.0);
    
        /* transition: all 0.3s ease; */

        background-position: center;
        background-repeat: no-repeat;
        transition: background-image 0.5s ease, background-color 0.5s ease;
    }
    .personaBTN:hover{    
        color: #00BFFF; /* light blue color on hover */
        text-shadow: 0 0 10px #00BFFF;
        transition: all 0.3s ease;

        background-image: url("Assets/images/night_20240502_192423.jpg"); /* Replace with your image URL */
        background-color: transparent; 
    }
    .personaBTN.right-button{
        box-shadow: 0px 0px 2px rgba(0, 0, 0, 1.0);
        transition: all 0.3s ease;
    }
    .personaBTN.right-button:hover{
        box-shadow: 20px 0px 2px rgba(0, 0, 0, 1.0);
        transition: all 0.3s ease;
    }

    .personaBTN.left-button{
        box-shadow: 0px 0px 2px rgba(0, 0, 0, 1.0);
        transition: all 0.3s ease;
    }
    .personaBTN.left-button:hover{
        box-shadow: -20px 0px 2px rgba(0, 0, 0, 1.0);
        transition: all 0.3s ease;
    }

    /* Mobile-specific adjustments */
    @media (max-width: 768px) {
        .center-image {
            width: 150px;
        }
        .left-button, .right-button {
            position: static;
            width: 100%;
            margin-top: 10px;
            transform: translateY(0) !important;
            opacity: 1 !important;
        }
    }

/*<< HERO PAGE PERSONA */


.thumbTitle{
    color: #000000 !important;
    font-size: 1.5rem !important;
    /* background-color: azure; */

    transform: scale(1.0,1.0); 
    transition: all 0.3s ease;

    text-decoration: none;
}
.thumbTitle:hover{
    background-color: rgb(1, 248, 248);
    background-color: rgb(255, 255, 255);

    transform: scale(1.05,1.05); 
    text-decoration: none;
}

/* OVERLAYS */
.menu-overlay{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    pointer-events: none; /* Makes the bubbles unclickable */
    z-index: -1; /* Keeps it behind the content */
}
.bubble {
    position: absolute;
    bottom: -50px; /* Start below the visible area */
    width: 20px;
    height: 20px;
    background-color: rgba(173, 216, 230, 0.6); /* Light blue with transparency */
    border-radius: 50%;
    animation: floatBubble 6s infinite ease-in;
    opacity: 0.7;

    left: 0%;
}
/* bubble sizes */
.bubble:nth-child(2) { width: 25px; height: 25px; animation-duration: 7s; left: 20%; }
.bubble:nth-child(3) { width: 15px; height: 15px; animation-duration: 8s; left: 40%; }
.bubble:nth-child(4) { width: 35px; height: 35px; animation-duration: 12s; left: 60%; }
.bubble:nth-child(5) { width: 10px; height: 10px; animation-duration: 10s; left: 80%; }
.bubble:nth-child(6) { width: 20px; height: 20px; animation-duration: 5s; left: 95%; }
/* float animation */
@keyframes floatBubble{
    0% {transform: translateY(0) scale(1); } /* start at bottom */
    50% {transform: translateY(-50vh) translateX(5vh) scale(1.2); } /* */
    100%{ transform: translateY(-100vh) translateX(0vh)  scale(1); } /* */
} 


/* PAGE: wEBSITES */
.blackBorder{
    /* width: fit-content; */
    border-radius: 5px;
    /* background-color: rgba(0, 0, 0, 0.2); */
    /* border-color: antiquewhite !important; */
    text-align: center;
}
.lightShadow{
    border-radius: 3px;
    transform: scale(1.3,1.3);

    /* box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.5); */
    box-shadow: 0px 8px 1px rgba(0, 0, 0, 0.4);
    border-radius: 8px; /* Optional: adds rounded corners */
    /* display: inline-block; */
}

/* PAGE: DigitalDesign */
.card.games{
    /* grooved / solid / dashed */
    /* border: #00000061 2px double; */
    border-radius: 20px;
    box-shadow: 0px 3px 0px rgba(0, 0, 0, 0.4);
    
    /* background-color: rgb(31, 12, 123); */
    background-color: rgb(245, 245, 245);
    color: #000000;
    /* color: #ffffff; */

    align-items: center;
    align-content: center;
}
.cardBody{
    border-radius: 0px 0px 20px 20px;
    background-color: rgb(235, 235, 235);
    width: 100%;
}


.headingMed{
    color: #ffffff !important;
    text-shadow: -1px 0 black, 0 3px black, 1px 0 black, 0 -1px black;
}

.pillNav{
    align-items: center;
    align-content: center;

    /* position: sticky;
    position: absolute;
    position: fixed; */

    /* width: 50%;
    margin: 0 auto; */
    
}
.pillNav a{
    display: inline-block;

    /* display: block; */

    /* width: 10%; */
    /* margin: 0 auto; */
    width: 10rem;

    color: rgb(0, 0, 0);
    text-align: center;
    padding: 14px;
    text-decoration: none;
    font-size: 17px;
    border-radius: 5px;

    transform: scale(1.0,1.0); 
    transition: all 0.3s ease;

    background-color: #ffffff6b;
}

/* Change the color of links on mouse-over */
.pillNav a:hover {
    background-color: #ffffff;
    color: black;
    text-decoration: none;

    transform: scale(1.03,1.03); 
    box-shadow: 0px 10px 0px rgba(0, 0, 0, 0.4);
  }
  
  /* Add a color to the active/current link */
  .pillNav a.active {
    background-color: dodgerblue;
    color: white;
  }

/* MY OWN */
.center-line {
    position: fixed;
    top: 0;
    left: 50%;       /* Center the line horizontally */
    transform: translateX(-50%); /* Adjust to keep the line perfectly centered */
    height: 100vh;   /* Full viewport height */
    width: 2rem;      /* Adjust the thickness of the line as needed */
    background-color: #e8eaed; /* Set the line color */
    z-index: 2;    /* Ensure it’s on top of other content if necessary */
}


.imgLeft, .imgRight{
    filter: blur(4px); 
    object-fit: cover; 
    width: 101vw; 
    height: 101vh; 
    filter: brightness(0.5);
}

.personaBTN[data-target="left"]:hover ~ .imgLeft,
.personaBTN[data-target="right"]:hover ~ .imgRight {
    filter: brightness(1); /* Brighten the image on hover */
}


/* ANIMATIONS */
/* home page */

@keyframes fadeIn{
    from{ opacity: 0%;}
    to{ opacity: 100%;}
}

@keyframes slideDown{
    from{ transform: translateY(-500px);}
    to{ transform: translateY(0px);}
}

@keyframes slideInRight {
    from{
        transform: translateX(-500px);
    }

    to{
        transform: translateX(0);
    }
}

@keyframes slideInLeft {
    from{ transform: translateX(500px); }

    to{ transform: translateX(0);}
    
}

@keyframes floatSlow {
    0% { transform: translateX(20px); transform: translateY(10px); }
    50% { transform: translateX(0px); transform: translateY(0px); } 
    100%  { transform: translateX(20px); transform: translateY(10px); }
}


@keyframes slideFromCenterLeft {
    from {
        transform: translateX(0) scale(0.1);
        opacity: 0;
    }
    to {
        transform: translateX(-8rem) scale(1);
        opacity: 1;
    }
}

@keyframes slideFromCenterRight {
    from {
        transform: translateX(0) scale(0.1);
        opacity: 0;
    }
    to {
        transform: translateX(8rem) scale(1);
        opacity: 1;
    }
}


/* MODAL */
.modal {
    width: 100% !important;
    -webkit-animation: fadeEffect 1s;
    animation: fadeEffect 1s;

    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    /* Location of the box */
    /* padding-top: 100px; */
    left: 0; top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
}


.modal-content{
    margin: auto;
    padding: 20px;
    width: 50% !important;
    /* Width originally kept at 70%*/
}

@media only screen and (max-width: 600px){
    .modal-content{
        margin: auto;
        padding: 20px;
        width: 95% !important;
    }
}

/* PAGE TRANSITIONS */
@view-transition {
    navigation: auto;
}

@keyframes move-out_Y {
    from {transform: translateY(0%);}
    to {transform: translateY(-100%);}
}
@keyframes move-in_Y {
    from {transform: translateY(100%);}
    to {transform: translateY(0%);}
}
@keyframes move-out_X {
    from {transform: translateX(0%);}
    to {transform: translateX(-100%);}
}
@keyframes move-in_X {
    from {transform: translateX(100%);}
    to {transform: translateX(0%);}
}

@keyframes scaleIn{ 
    from{transform: scale(100%);}
    to{transform: scale(0%);}
}
@keyframes scaleOut{ 
    from{transform: scale(0%);}
    to{transform: scale(100%);}
}

@keyframes fadeIn{
    from{opacity: 0%;}
    to{opacity: 100%;}
}
@keyframes fadeOut{
    from{opacity: 100%;}
    to{opacity: 0%;}
}

::view-transition-old(root){
    /* animation: 0.8s cubic-bezier(0.87, 0, 0.13, 1) both move-out_Y; */

    animation: 0.8s cubic-bezier(0.87, 0, 0.13, 1) both move-out_X;
    animation: 0.4s ease-in both move-Out_X;

    /* animation: 0.8s cubic-bezier(0.87, 0, 0.13, 1) both scaleIn; */

    /* animation: 0.3s ease-in both fadeOut; */
}

::view-transition-new(root){
    /* animation: 0.8s cubic-bezier(0.87, 0, 0.13, 1) both move-in_Y; */

    animation: 0.8s cubic-bezier(0.87, 0, 0.13, 1) both move-in_X;
    animation: 0.4s ease-in both move-in_X;

    /* animation: 0.8s cubic-bezier(0.87, 0, 0.13, 1) both scaleOut; */

    /* animation: 0.3s ease-in both fadeIn; */
}